#ifndef __animia__animia__win_h
#define __animia__animia__win_h

#include <functional>
#include <string>

namespace animia {

struct Process;
struct Window;

namespace internal {

using window_proc_t = std::function<bool(const Process&, const Window&)>;

bool EnumerateWindows(window_proc_t window_proc);

} // namespace internal

} // namespace animia

#endif // __animia__animia__win_h
